Gets the List of Customer Details based on Search string

​

Query Parameters

  • searchString to retrieve the filtered customers details

  • initialIndex to retrieve the customers details for specified row index

Responses

  • application/json
Request Example for get/v1/customers/search
curl 'https://apiint.api.parpos.com/order/v1/customers/search?searchString=' \
  --header 'parpos-access-token: YOUR_SECRET_TOKEN' \
  --header 'parpos-location-token: YOUR_SECRET_TOKEN'
Success
{
  "Data": [
    {
      "AccountNumber": "1001011114",
      "Addresses": [
        {
          "Address1": "987 AnyStreet",
          "Address2": "Apt. 1",
          "City": "San Diego",
          "Country": "USA",
          "Company": "ParTech",
          "Id": 1,
          "Notes": "This is a test user",
          "PostalCode": "92127",
          "State": "CA"
        }
      ],
      "Attributes": [
        {
          "AttributeId": 640227226,
          "Value": "Yes"
        }
      ],
      "BirthDate": "2001-05-07T06:53:51.8680059+00:00",
      "EmailAddress": "test1@partech.com",
      "EmailAddressVerified": false,
      "EmailOptIn": true,
      "FirstName": "CustomerFirstName",
      "Id": "00000000-0000-0000-0000-000000000000",
      "IsDisabled": false,
      "FirstOrderId": 0,
      "Gender": 1,
      "LastEditTime": "2025-11-07T06:53:51.868008+00:00",
      "LastName": "Testing",
      "LastVisit": "2026-05-07T06:53:51.8680085+00:00",
      "Password": "***",
      "PhoneNumbers": [
        {
          "AreaCode": "858",
          "Extension": "125",
          "Id": 1,
          "Number": "5559778"
        }
      ],
      "PostalOptIn": true,
      "PreferredAddressId": 0,
      "PreferredLocationId": 0,
      "PreferredPhoneNumberId": 0,
      "RegistrationTime": "2025-11-07T06:53:51.8680099+00:00",
      "SignupEmployeeId": 4007868,
      "SignupLocationId": 1,
      "SignupTime": "2025-11-07T06:53:51.8680103+00:00",
      "TextOptIn": true,
      "TotalSpent": 15.25,
      "VisitCount": 2
    }
  ]
}